Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160896 - Tunable state is not preserved across upgrades
Summary: Tunable state is not preserved across upgrades
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-securitylevel
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 07:09 UTC by Ivan Gyurdiev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-27 20:46:58 UTC


Attachments (Terms of Use)

Description Ivan Gyurdiev 2005-06-18 07:09:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
There needs to be a tunables.local

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try


Additional info:

Comment 1 Daniel Walsh 2005-07-20 14:47:47 UTC
Well you can do that by creating a Zlocal.tun

This tunable can undefine and define til its hearts content.  It should be
preserved.  Call it Zlocal.tun to make sure it is processed last.

Dan

Comment 2 Daniel Walsh 2005-07-20 14:53:24 UTC
Actually this is a bug in system-config-securitylevel.  It should save its
customizations in Zlocal.tun

Comment 3 Daniel Walsh 2005-10-27 20:15:16 UTC
system-config-securitylevel is editing and changing files in 
/etc/selinux/POLICYTYPE/src/policy/tunables/

Problem is that they are not preserved across rpm upgrades.  I believe the
ability to change these should be removed from the tool.  We should only be
changing booleans.  We are removing policy-sources from FC5 anyways.

Dan


Note You need to log in before you can comment on or make changes to this bug.